Skip to content
Payments & FinancePayments

Refund payment

Refunds an amount from a payment transaction; responds 204 with no body.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/payments/refund" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "paymentTransactionId": "7204558912004324696",    "amount": 178,    "idempotencyKey": "pedido-2026-0001",    "refundNote": "Entregar después de las 18:00."  }'
Empty